Overview
GET
/persona/service-templates/{id}personaGet service_templates by id
Fetch a record from service-templates by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
service_templates
- idstring
- providerKindstring
- namestring
- baseUrlstring
- documentationUrlstring?
- statusUrlstring?
- connectionSpecstring | number | boolean? | object | any[]?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"providerKind": "string",
"name": "string",
"baseUrl": "string",
"documentationUrl": "string",
"statusUrl": "string",
"connectionSpec": "string",
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/service-templates/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/service-templates/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();